Retrieve errors#

Description#

Returns a paged list of operation errors during the upload, import, or tagging processes for the provided file ID, if they exist. This list is immutable and may be empty if no errors have occurred. If errors exist we recommend fixing them and reimporting your file

GET /api/v1/file/{fileId}/error

Required OAuth Scopes

No OAuth scopes are required to use this endpoint.

Parameters#

Parameter

In

Type

Required

Description

fileId

path

string

true

The unique identifier of the file

cursor

query

string

false

A paging cursor; if included, limit is ignored

limit

query

integer(int32)

false

The number of errors to return, from 1 to 50; by default, 50

offset

query

integer(int64)

false

The item to start with on the page, greater than or equal to 0; by default, 0

Code Samples#

curl -X GET https://h.app.wdesk.com/s/wdata/prep/api/v1/file/{fileId}/error \
    -H 'Accept: application/json' \
    -H 'Authorization: Bearer {access-token}'
http GET https://h.app.wdesk.com/s/wdata/prep/api/v1/file/{fileId}/error \
    Accept:application/json \
    Authorization:"Bearer {access-token}"
wget --method=GET "https://h.app.wdesk.com/s/wdata/prep/api/v1/file/{fileId}/error" \
    --output-document -  \ 
    --header 'Accept: application/json' \ 
    --header 'Authorization: Bearer {access-token}'
import requests

headers = {
  'Accept': 'application/json',
  'Authorization': 'Bearer {access-token}'
}

r = requests.get('https://h.app.wdesk.com/s/wdata/prep/api/v1/file/{fileId}/error', headers = headers)

print(r.json())

Returns#

200 - OK#

Returns a JSON object with body and cursor properties.

  • body contains an array of ImportErrorDto objects. If the request returns no results, body contains an empty array.

  • cursor contains a paging cursor, which can be included in the next call to the endpoint to retrieve the next set of results. If no additional results, cursor is null. If errors exist we recommend fixing them and reimporting your file.

Example Responses#

{
  "body": [
    {
      "code": "integer",
      "created": "string",
      "id": "string",
      "lineNumber": "integer",
      "message": "string",
      "updated": "string",
      "userId": "string",
      "version": "integer"
    }
  ],
  "code": "integer",
  "cursor": "string"
}